Page MenuHomePhabricator

[lldb-mi] Re-implement a few MI commands.
ClosedPublic

Authored by apolyakov on Jun 23 2018, 9:43 AM.

Details

Summary

This patch updates exec-next-instruction, exec-step-instruction, exec-finish, exec-interrupt commands to use SB API instead of HandleCommand.

Diff Detail

Repository
rL LLVM

Event Timeline

apolyakov created this revision.Jun 23 2018, 9:43 AM

[WIP] Fully test -exec-interrupt command. It needs a program being executed at the moment of debugging to stop it.

Nice. Since you are adding new lit-based tests for these commands, does that mean that the old python tests become redundant and could we remove them? IIRC the python tests don't set synchronous mode so they are prone to fail under load.

You are right about python tests. Let's remove them.

LGTM. Ok when Adrian is happy with testing changes.

Removed duplicated and error prone(without --synchronous option) testing.

aprantl added inline comments.Jun 25 2018, 10:18 AM
packages/Python/lldbsuite/test/tools/lldb-mi/control/TestMiExec.py
228 ↗(On Diff #152715)

Is this combination of --exec-next and --frame tested anywhere in the new tests?

apolyakov added inline comments.Jun 25 2018, 10:34 AM
packages/Python/lldbsuite/test/tools/lldb-mi/control/TestMiExec.py
228 ↗(On Diff #152715)

No. -exec-... commands don't have the --frame option at all as I know.

Update comment. It still needs a review, thanks for your time.

Just waiting for Adrian to indicate he is happy with testing stuff. LGTM

aprantl accepted this revision.Jul 2 2018, 2:43 PM
This revision is now accepted and ready to land.Jul 2 2018, 2:43 PM
This revision was automatically updated to reflect the committed changes.